function Jac = Q4J(x1,y1,x2,y2,x3,y3,x4,y4,ksiG, etaG)
%Na podstawie wspolrzednych wierzcholkow czworokata x,y
%oraz wspolrzednych punktu Gaussa oblicza elementy macierzy Jacobiego
%wymiar wyniku: 2x2

dL = Q4derivNL(ksiG, etaG);
Jac(1,1) = dL(1,1) .* x1 + dL(1,2) .* x2 + dL(1,3) .* x3 + dL(1,4) .* x4;
Jac(1,2) = dL(1,1) .* y1 + dL(1,2) .* y2 + dL(1,3) .* y3 + dL(1,4) .* y4;
Jac(2,1) = dL(2,1) .* x1 + dL(2,2) .* x2 + dL(2,3) .* x3 + dL(2,4) .* x4;
Jac(2,2) = dL(2,1) .* y1 + dL(2,2) .* y2 + dL(2,3) .* y3 + dL(2,4) .* y4;
