function derL = Q4derivNL(ksiG,etaG)
%oblicza pochodne funkcji ksztaltu N po zmiennych lokalnych ksi i eta
%ksiG i etaG - to wspolrzedne punktu Gaussa
%wynik 2x4

derL(1,1) = -0.25 .* (1.0 - etaG);
derL(1,2) =  -0.25 .* (1.0 + etaG);
derL(1,3) =  0.25 .* (1.0 + etaG);
derL(1,4) =  0.25 .* (1.0 - etaG);
derL(2,1) =  -0.25 .* (1.0 - ksiG);
derL(2,2) =  0.25 .* (1.0 - ksiG);
derL(2,3) =  0.25 .* (1.0 + ksiG);
derL(2,4) =  -0.25 .* (1.0 + ksiG);
